libqxp::QXPMacFileParser Class Reference

`#include <QXPMacFileParser.h>`

## Public Member Functions

| QXPMacFileParser (std::shared_ptr< librevenge::RVNGInputStream > &dataFork, std::string &type, std::string &creator)
bool | parse (const std::shared_ptr< librevenge::RVNGInputStream > &input)

## Private Attributes

std::shared_ptr< librevenge::RVNGInputStream > & | m_dataFork
std::string & | m_type
std::string & | m_creator

## Constructor & Destructor Documentation

## QXPMacFileParser()

libqxp::QXPMacFileParser::QXPMacFileParser | ( | std::shared_ptr< librevenge::RVNGInputStream > & | dataFork,
|  | std::string & | type,
|  | std::string & | creator )

## Member Function Documentation

## parse()

bool libqxp::QXPMacFileParser::parse | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |

Referenced by libqxp::QXPDetector::detect().

## Member Data Documentation

## m_creator

std::string& libqxp::QXPMacFileParser::m_creator

private

Referenced by parse(), and QXPMacFileParser().

## m_dataFork

std::shared_ptr<librevenge::RVNGInputStream>& libqxp::QXPMacFileParser::m_dataFork

private

Referenced by parse(), and QXPMacFileParser().

## m_type

std::string& libqxp::QXPMacFileParser::m_type

private

Referenced by parse(), and QXPMacFileParser().

The documentation for this class was generated from the following files:

- QXPMacFileParser.h
- QXPMacFileParser.cpp